Package com.google.protobuf

## Interface DescriptorProtos.EnumValueDescriptorProtoOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.EnumValueDescriptorProto`, `DescriptorProtos.EnumValueDescriptorProto.Builder`

Enclosing class:
  DescriptorProtos

    public static interface DescriptorProtos.EnumValueDescriptorProtoOrBuilder
    extends MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getName()` `optional string name = 1;`
`ByteString` `getNameBytes()` `optional string name = 1;`
`int` `getNumber()` `optional int32 number = 2;`
`DescriptorProtos.EnumValueOptions` `getOptions()` `optional .google.protobuf.EnumValueOptions options = 3;`
`DescriptorProtos.EnumValueOptionsOrBuilder` `getOptionsOrBuilder()` `optional .google.protobuf.EnumValueOptions options = 3;`
`boolean` `hasName()` `optional string name = 1;`
`boolean` `hasNumber()` `optional int32 number = 2;`
`boolean` `hasOptions()` `optional .google.protobuf.EnumValueOptions options = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### hasName

    boolean hasName()

`optional string name = 1;`

#### getName

    java.lang.String getName()

`optional string name = 1;`

#### getNameBytes

    ByteString getNameBytes()

`optional string name = 1;`

#### hasNumber

    boolean hasNumber()

`optional int32 number = 2;`

#### getNumber

    int getNumber()

`optional int32 number = 2;`

#### hasOptions

    boolean hasOptions()

`optional .google.protobuf.EnumValueOptions options = 3;`

#### getOptions

    DescriptorProtos.EnumValueOptions getOptions()

`optional .google.protobuf.EnumValueOptions options = 3;`

#### getOptionsOrBuilder

    DescriptorProtos.EnumValueOptionsOrBuilder getOptionsOrBuilder()

`optional .google.protobuf.EnumValueOptions options = 3;`